%define rname Net-Server

Name:    perl-%{rname}
Version: 0.88
Release: 1%{?dist}
Epoch:   0
Summary: Extensible, general Perl server engine

Group:     Development/Libraries
License:   Artistic
URL:       http://perl-net-server.sourceforge.net/
Source:    http://search.cpan.org/CPAN/authors/id/R/RH/RHANDOM/%{rname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:     noarch
BuildRequires: perl
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
An extensible, class oriented module written in perl and intended to
be the back end layer of internet protocol servers.


%prep
%setup -n %{rname}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS="vendor"
make %{?_smp_mflags}


%install
rm -fr %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name 'perllocal.pod' -exec rm -f {} ';'
find %{buildroot} -type f -name '.*' -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+rwX,go-rwx %{buildroot}/*


%check || :
make test


%clean
rm -fr %{buildroot}


%files
%defattr(0644, root, root, 0755)
%doc README Changes examples
%dir %{perl_vendorlib}/Net/
%dir %{perl_vendorlib}/Net/Server
%{perl_vendorlib}/Net/Server.pm
%{perl_vendorlib}/Net/Server/*
%{_mandir}/man?/Net::Server*


%changelog
* Wed Jun 22 2005 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> - 0:0.88-1
- Updated to 0.88, fixes remote format string vulnerability
- Remove perl macros integrated in rpm
- merge fedora perl template changes

* Fri Feb 11 2005 Thorsten Leemhuis <fedora at leemhuis dot info> - 0:0.87-3
- Use perl_vendorlib macro; Fixes x86_64

* Mon Apr 26 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> - 0:0.87-0.fdr.2
- add tests
- cleaner perl requirement

* Sun Apr 18 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> - 0:0.87-0.fdr.1
- Fedorization

* Sun Apr 18 2004 Nicolas Mailhot <Nicolas.Mailhot at laPoste.net> - 0.87-0.num.1
- Updated to release 0.87.

* Tue Feb 03 2004 Dag Wieers <dag@wieers.com> - 0.86-0
- Updated to release 0.86.

* Mon Jul 14 2003 Dag Wieers <dag@wieers.com> - 0.85-0
- Updated to release 0.85.

* Sun Jan 26 2003 Dag Wieers <dag@wieers.com> - 0.84-0
- Initial package. (using DAR)
